Public Member Functions | Public Attributes | List of all members
MacDocParserInternal::State Struct Reference

Internal: the state of a MacDocParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::map< int, MWAWEntry > | m_idPictureMap
| the picture page map More...
std::vector< Index > | m_indexList
| the index list More...
std::map< int, MWAWFont > | m_idFontMap
| a map id to index font More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...

## Detailed Description

Internal: the state of a MacDocParser.

## Constructor & Destructor Documentation

## ◆ State()

MacDocParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MacDocParserInternal::State::m_actPage

the actual page

## ◆ m_idFontMap

std::map<int, MWAWFont> MacDocParserInternal::State::m_idFontMap

a map id to index font

## ◆ m_idPictureMap

std::map<int,MWAWEntry> MacDocParserInternal::State::m_idPictureMap

the picture page map

## ◆ m_indexList

std::vector<Index> MacDocParserInternal::State::m_indexList

the index list

## ◆ m_numPages

int MacDocParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- MacDocParser.cxx